org.appng.xml.platform

## Class Resultset

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Resultset

- All Implemented Interfaces:
    Serializable

      public class Resultset
      extends BaseObject
      implements Serializable

  A Resulset contains a set of `Result`s, including pagination support. A Resultset is always wrapped inside an `Data`-object.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `chunk`
    `protected String` | `chunkname`
    `protected int` | `chunksize`
    `protected int` | `firstchunk`
    `protected int` | `hits`
    `protected int` | `lastchunk`
    `protected int` | `nextchunk`
    `protected int` | `previouschunk`
    `protected List<Result>` | `results`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resultset()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChunk()` The current zero-based chunk (page-number).
    `String` | `getChunkname()` The name of the chunk.
    `int` | `getChunksize()` The size of the chunk (items per page).
    `int` | `getFirstchunk()` The number of the first chunk.
    `int` | `getHits()` The number of hits (all items).
    `int` | `getLastchunk()` The number of the last chunk.
    `int` | `getNextchunk()` The number of the next chunk.
    `int` | `getPreviouschunk()` The number of the previous chunk.
    `List<Result>` | `getResults()` Gets the value of the results property.
    `void` | `setChunk(int value)` Sets the value of the chunk property.
    `void` | `setChunkname(String value)` Sets the value of the chunkname property.
    `void` | `setChunksize(int value)` Sets the value of the chunksize property.
    `void` | `setFirstchunk(int value)` Sets the value of the firstchunk property.
    `void` | `setHits(int value)` Sets the value of the hits property.
    `void` | `setLastchunk(int value)` Sets the value of the lastchunk property.
    `void` | `setNextchunk(int value)` Sets the value of the nextchunk property.
    `void` | `setPreviouschunk(int value)` Sets the value of the previouschunk property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### results

          protected List<Result> results

    - #### chunk

          protected int chunk

    - #### chunkname

          protected String chunkname

    - #### chunksize

          protected int chunksize

    - #### nextchunk

          protected int nextchunk

    - #### previouschunk

          protected int previouschunk

    - #### firstchunk

          protected int firstchunk

    - #### lastchunk

          protected int lastchunk

    - #### hits

          protected int hits

  - ### Constructor Detail

    - #### Resultset

          public Resultset()

  - ### Method Detail

    - #### getResults

          public List<Result> getResults()

      Gets the value of the results property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the results property.

      For example, to add a new item, do as follows:

              getResults().add(newItem);

      Objects of the following type(s) are allowed in the list `Result`

    - #### getChunk

          public int getChunk()

      The current zero-based chunk (page-number).

    - #### setChunk

          public void setChunk(int value)

      Sets the value of the chunk property.

    - #### getChunkname

          public String getChunkname()

      The name of the chunk.
      Returns:
        possible object is `String`

    - #### setChunkname

          public void setChunkname(String value)

      Sets the value of the chunkname property.
      Parameters:
        `value` - allowed object is `String`

    - #### getChunksize

          public int getChunksize()

      The size of the chunk (items per page).

    - #### setChunksize

          public void setChunksize(int value)

      Sets the value of the chunksize property.

    - #### getNextchunk

          public int getNextchunk()

      The number of the next chunk.

    - #### setNextchunk

          public void setNextchunk(int value)

      Sets the value of the nextchunk property.

    - #### getPreviouschunk

          public int getPreviouschunk()

      The number of the previous chunk.

    - #### setPreviouschunk

          public void setPreviouschunk(int value)

      Sets the value of the previouschunk property.

    - #### getFirstchunk

          public int getFirstchunk()

      The number of the first chunk.

    - #### setFirstchunk

          public void setFirstchunk(int value)

      Sets the value of the firstchunk property.

    - #### getLastchunk

          public int getLastchunk()

      The number of the last chunk.

    - #### setLastchunk

          public void setLastchunk(int value)

      Sets the value of the lastchunk property.

    - #### getHits

          public int getHits()

      The number of hits (all items).

    - #### setHits

          public void setHits(int value)

      Sets the value of the hits property.

Copyright © 2011–2023 aiticon GmbH. All rights reserved.